=== added directory 'partner_firstname'
=== added file 'partner_firstname/__init__.py'
--- partner_firstname/__init__.py	1970-01-01 00:00:00 +0000
+++ partner_firstname/__init__.py	2013-02-04 13:37:23 +0000
@@ -0,0 +1,20 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    Author: Nicolas Bessi. Copyright Camptocamp SA
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from . import partner

=== added file 'partner_firstname/__openerp__.py'
--- partner_firstname/__openerp__.py	1970-01-01 00:00:00 +0000
+++ partner_firstname/__openerp__.py	2013-02-04 13:37:23 +0000
@@ -0,0 +1,36 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    Author: Nicolas Bessi. Copyright Camptocamp SA
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{'name': 'Partner first name, last name',
+ 'description':  """Split first name last name on res.partner.
+The field name become a stored function field concatenating lastname, firstname
+""",
+ 'version': '1.0',
+ 'author': 'Camptocamp',
+ 'category': 'MISC',
+ 'website': 'http://www.camptocamp.com',
+ 'depends': ['base'],
+ 'data': ['partner_view.xml'],
+ 'demo': [],
+ 'test': [],
+ 'auto_install': False,
+ 'installable': True,
+ 'images': []
+}

=== added directory 'partner_firstname/i18n'
=== added file 'partner_firstname/i18n/de.po'
--- partner_firstname/i18n/de.po	1970-01-01 00:00:00 +0000
+++ partner_firstname/i18n/de.po	2013-02-04 13:37:23 +0000
@@ -0,0 +1,31 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* partner_firstname
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-02-04 10:36+0000\n"
+"PO-Revision-Date: 2013-02-04 10:36+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: partner_firstname
+#: field:res.partner,lastname:0
+msgid "Lastname"
+msgstr "Name"
+
+#. module: partner_firstname
+#: field:res.partner,firstname:0
+msgid "Firstname"
+msgstr "Vorname"
+
+#. module: partner_firstname
+#: model:ir.model,name:partner_firstname.model_res_partner
+msgid "Partner"
+msgstr "Partner"

=== added file 'partner_firstname/i18n/en.po'
--- partner_firstname/i18n/en.po	1970-01-01 00:00:00 +0000
+++ partner_firstname/i18n/en.po	2013-02-04 13:37:23 +0000
@@ -0,0 +1,32 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* partner_firstname
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-02-04 10:36+0000\n"
+"PO-Revision-Date: 2013-02-04 10:36+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: partner_firstname
+#: field:res.partner,lastname:0
+msgid "Lastname"
+msgstr "Lastname"
+
+#. module: partner_firstname
+#: field:res.partner,firstname:0
+msgid "Firstname"
+msgstr "Firstname"
+
+#. module: partner_firstname
+#: model:ir.model,name:partner_firstname.model_res_partner
+msgid "Partner"
+msgstr "Partner"
+

=== added file 'partner_firstname/i18n/fr.po'
--- partner_firstname/i18n/fr.po	1970-01-01 00:00:00 +0000
+++ partner_firstname/i18n/fr.po	2013-02-04 13:37:23 +0000
@@ -0,0 +1,31 @@
+# Translation of OpenERP Server.
+# This file contains the translation of the following modules:
+#	* partner_firstname
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: OpenERP Server 7.0\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2013-02-04 10:36+0000\n"
+"PO-Revision-Date: 2013-02-04 10:36+0000\n"
+"Last-Translator: <>\n"
+"Language-Team: \n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: \n"
+"Plural-Forms: \n"
+
+#. module: partner_firstname
+#: field:res.partner,lastname:0
+msgid "Lastname"
+msgstr "Nom"
+
+#. module: partner_firstname
+#: field:res.partner,firstname:0
+msgid "Firstname"
+msgstr "Prénom"
+
+#. module: partner_firstname
+#: model:ir.model,name:partner_firstname.model_res_partner
+msgid "Partner"
+msgstr "Partenaire"

=== added file 'partner_firstname/partner.py'
--- partner_firstname/partner.py	1970-01-01 00:00:00 +0000
+++ partner_firstname/partner.py	2013-02-04 13:37:23 +0000
@@ -0,0 +1,49 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    Author: Nicolas Bessi. Copyright Camptocamp SA
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from openerp.osv.orm import Model, fields
+
+
+class ResPartner(Model):
+    """Adds lastname and firstname, name become a stored function field"""
+
+    _inherit = 'res.partner'
+
+    def init(self, cursor):
+        cursor.execute('SELECT id FROM res_partner WHERE lastname IS NOT NULL Limit 1')
+        if not cursor.fetchone():
+            cursor.execute('UPDATE res_partner set lastname = name WHERE name IS NOT NULL')
+
+    def _compute_name_custom(self, cursor, uid, ids, fname, arg, context=None):
+        res = {}
+        for rec in self.read(cursor, uid, ids, ['firstname', 'lastname']):
+            name = rec['lastname'] + (u" " + rec['firstname'] if rec['firstname'] else u"")
+            res[rec['id']] = name
+        return res
+
+    def _write_name(self, cursor, uid, partner_id, field_name, field_value, arg, context=None):
+        return self.write(cursor, uid, partner_id, {'lastname': field_value})
+
+    _columns = {'name': fields.function(_compute_name_custom, string="Name",
+                                        type="char", store=True,
+                                        select=True, readonly=True,
+                                        fnct_inv=_write_name),
+
+                'firstname': fields.char("Firstname"),
+                'lastname': fields.char("Lastname", required=True)}

=== added file 'partner_firstname/partner_view.xml'
--- partner_firstname/partner_view.xml	1970-01-01 00:00:00 +0000
+++ partner_firstname/partner_view.xml	2013-02-04 13:37:23 +0000
@@ -0,0 +1,37 @@
+<openerp>
+  <data>
+    <record id="view_partner_simple_form_firstname" model="ir.ui.view">
+      <field name="name">res.partner.simplified.form.firstname</field>
+      <field name="model">res.partner</field>
+      <field name="inherit_id" ref="base.view_partner_simple_form"/>
+      <field name="arch" type="xml">
+        <field name="category_id" position="before">
+          <group>
+            <field name="lastname"/>
+            <field name="firstname"/>
+          </group>
+        </field>
+      </field>
+    </record>
+
+    <record id="view_partner_form_firstname" model="ir.ui.view">
+      <field name="name">res.partner.form.firstname</field>
+      <field name="model">res.partner</field>
+      <field name="inherit_id" ref="base.view_partner_form"/>
+      <field name="arch" type="xml">
+        <field name="category_id" position="before">
+          <group>
+            <field name="lastname"/>
+            <field name="firstname"/>
+          </group>
+        </field>
+        <!-- Add fistname last name in contact for also -->
+        <xpath expr="//page[@string='Contacts']/field/form/div/group/field[@name='name']" position="after">
+            <field name="lastname"/>
+            <field name="firstname"/>
+        </xpath>
+      </field>
+    </record>
+
+  </data>
+</openerp>

